hpp-corbaserver: hpp::corbaServer::ServantBase< T, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::corbaServer::ServantBase< T, _Storage > Class Template Reference
Extending the bindings

`#include <hpp/corbaserver/servant-base.hh>`

Inheritance diagram for hpp::corbaServer::ServantBase< T, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::ServantBase< T, _Storage >:
[legend]

## Public Types
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Protected Member Functions
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)

## Protected Attributes
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ Storage

template<typename T , typename _Storage >

typedef _Storage hpp::corbaServer::ServantBase< T, _Storage >::Storage

## ◆ StorageElementShPtr_t

template<typename T , typename _Storage >

typedef shared_ptr<typename Storage::element_type> hpp::corbaServer::ServantBase< T, _Storage >::StorageElementShPtr_t

## ◆ StorageElementWkPtr_t

template<typename T , typename _Storage >

typedef weak_ptr<typename Storage::element_type> hpp::corbaServer::ServantBase< T, _Storage >::StorageElementWkPtr_t

## Constructor & Destructor Documentation

## ◆ ~ServantBase()

template<typename T , typename _Storage >

virtual hpp::corbaServer::ServantBase< T, _Storage >::~ServantBase | ( |  | ) |
| inline virtual

## ◆ ServantBase()

template<typename T , typename _Storage >

hpp::corbaServer::ServantBase< T, _Storage >::ServantBase | ( | Server * | server,
|  | const Storage & | _s
| ) |  |
| inline protected

## Member Function Documentation

## ◆ deleteIfExpired()

template<typename T , typename _Storage >

bool hpp::corbaServer::ServantBase< T, _Storage >::deleteIfExpired | ( |  | ) |
| inline

## ◆ deleteThis()

template<typename T , typename _Storage >

void hpp::corbaServer::ServantBase< T, _Storage >::deleteThis | ( |  | ) |
| inline

## ◆ expired()

template<typename T , typename _Storage >

bool hpp::corbaServer::ServantBase< T, _Storage >::expired | ( |  | ) | const
| inline final virtual

Implements hpp::corbaServer::AbstractServantKey.

## ◆ get()

template<typename T , typename _Storage >

virtual TShPtr_t hpp::corbaServer::ServantBase< T, _Storage >::get | ( |  | ) | const
| inline virtual

Implements hpp::corbaServer::AbstractServantBase< T >.

## ◆ getS()

template<typename T , typename _Storage >

const Storage& hpp::corbaServer::ServantBase< T, _Storage >::getS | ( |  | ) | const
| inline

## ◆ getT()

template<typename T , typename _Storage >

StorageElementShPtr_t hpp::corbaServer::ServantBase< T, _Storage >::getT | ( |  | ) | const
| inline

## ◆ persistantStorage() [1/2]

template<typename T , typename _Storage >

bool hpp::corbaServer::ServantBase< T, _Storage >::persistantStorage | ( |  | ) | const
| inline

See persistantStorage(bool)

## ◆ persistantStorage() [2/2]

template<typename T , typename _Storage >

void hpp::corbaServer::ServantBase< T, _Storage >::persistantStorage | ( | bool | persistant | ) |
| inline

Set to true if the servant should take ownership of this object.

## Member Data Documentation

## ◆ wrappedObject_

template<typename T , typename _Storage >

Storage hpp::corbaServer::ServantBase< T, _Storage >::wrappedObject_
| protected

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/servant-base.hh